This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 824005 - UXD enhancements to Recent Alerts Page
UXD enhancements to Recent Alerts Page
Status: NEW
Product: RHQ Project
Classification: Other
Component: Usability (Show other bugs)
4.10
Unspecified Unspecified
unspecified Severity unspecified (vote)
: ---
: RHQ 4.13
Assigned To: RHQ Project Maintainer
Mike Foley
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-05-22 10:46 EDT by Mike Thompson
Modified: 2014-07-07 12:24 EDT (History)
2 users (show)

See Also:
Fixed In Version: 4.5.0
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
New Recent Alerts Mockup (127.16 KB, image/jpeg)
2012-05-22 10:46 EDT, Mike Thompson
no flags Details

  None (edit)
Description Mike Thompson 2012-05-22 10:46:20 EDT
Created attachment 586050 [details]
New Recent Alerts Mockup

Description of problem:

Scenario: User wants to easily see what has been viewed/acknowledged in their recent alerts and have an easy way to filter between the two.

Solution: Bold Text will be used to differentiate between the what has been selected and what needs to be addressed. A filer will be incorporated next to the priority filter allowing the user to filer by All, Viewed, Not Viewed. 

See attached mockup.
Comment 1 Mike Thompson 2012-05-22 11:12:55 EDT
Changes based on new conversations...

I suggest the following modifications to the previous recommendation -

1. Remove the Bold typeface for unacknowledged messages.
2. Rename the column that provides status of whether something is acknowledged to "Acknowledged" - Only those rows that have been acknowledged will have the check mark
3. Make the 'Acknowledged' column sortable and remove the newly proposed filter for this purpose. Column should sort between date received ( unsorted- default); unacknowledged on the top; acknowledged on the top and then back to date received ( unsorted- default)
4. Since this is another read only list with batch actions to acknowledge, we should follow what we worked out for batch actions earlier in the context of scheduling metrics for the display of checkboxes etc.
5. The user should be able to inline edit any single row and then the value for that row in the 'Ackowledged' column will be a check box that can be checked or unchecked.
Comment 2 Mike Thompson 2012-05-22 11:14:46 EDT
Undoing my changes for the filtering based on design change and replacing with batch editing capability.
Comment 3 Heiko W. Rupp 2014-05-08 10:42:44 EDT
Bump the target version now that 4.11 is out.
Comment 4 Jay Shaughnessy 2014-07-07 12:24:18 EDT
Didn't make 4.12, moving to 4.13.

Note You need to log in before you can comment on or make changes to this bug.